Subject: Re: [PATCH v3 04/15] livepatch/x86: add TIF_PATCH_PENDING thread flag

From: Petr Mladek <[email-masked]>
Date: Fri, 16 Dec 2016 16:39:49 +0100

On Thu 2016-12-08 12:08:29, Josh Poimboeuf wrote:
> Add the TIF_PATCH_PENDING thread flag to enable the new livepatch
> per-task consistency model for x86_64.  The bit getting set indicates
> the thread has a pending patch which needs to be applied when the thread
> exits the kernel.
> 
> The bit is placed in the _TIF_ALLWORK_MASK macro, which results in
> exit_to_usermode_loop() calling klp_update_patch_state() when it's set.
> 
> Signed-off-by: Josh Poimboeuf <[email-masked]>

Reviewed-by: Petr Mladek <[email-masked]>

Best Regards,
Petr